<bugID>1370647<Summary>[meta] Start faster when creating a new profile</Summary><Description>Here is a profile of startup without any existing profile on the quantum reference hardware: https://perfht.ml/2r2sGKg

There are several low hanging fruits here, so I'm making this a meta bug and will file bugs blocking this.</Description></bugID>